%global commit 41fddda1a4f430e45bef0154e1fdfe5671025f1e
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:          vecmath
Version:       1.6.0
Release:       %mkrel 0.1.20130710git41fddda.11
Summary:       The 3D vector math Java package, javax.vecmath
Group:         Development/Java
# License is GNU General Public License, version 2, with the Classpath Exception
License:       GPLv2 with exceptions
URL:           https://github.com/hharrison/vecmath
Source0:       https://github.com/hharrison/vecmath/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
# missing pom file
# https://bugzilla.redhat.com/show_bug.cgi?id=1022506
Source1:       https://repo1.maven.org/maven2/javax/vecmath/vecmath/1.5.2/vecmath-1.5.2.pom
# Fix link to javadoc and javadoc errors
Patch0:        vecmath-javadoc.patch
Patch1:        javac-1.8-source-target.patch
BuildArch:     noarch

BuildRequires: ant
BuildRequires: java-devel >= 1:1.6.0
BuildRequires: java-javadoc
BuildRequires: javapackages-local

Requires:      java-headless >= 1:1.6.0

%description
The 3D vector math Java package, javax.vecmath.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -qn %{name}-%{commit}
%patch -P 0 -p1
%patch -P 1 -p1

sed -e "s|<version>1.5.2</version>|<version>1.6.0</version>|" %{SOURCE1} > %{name}.pom
%mvn_file javax.vecmath:vecmath %{name}

%build
%ant

%install
%mvn_artifact %{name}.pom build/jars/%{name}.jar
%mvn_install -J build/javadoc

%files -f .mfiles
%doc docs/api-changes* COPYRIGHT.txt LICENSE.txt LICENSE-SPEC.html

%files javadoc -f .mfiles-javadoc
%doc COPYRIGHT.txt LICENSE.txt LICENSE-SPEC.html



%changelog
* Mon May 27 2024 ns80 <ns80> 1.6.0-0.1.20130710git41fddda.11.mga10
+ Revision: 2068037
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.6.0-0.1.20130710git41fddda.10.mga9
+ Revision: 1828802
- Mageia 9 Mass Rebuild

* Mon Sep 07 2020 daviddavid <daviddavid> 1.6.0-0.1.20130710git41fddda.9.mga8
+ Revision: 1623053
- Override javac source / target version with 1.8 to fix building with Java 11

* Fri Feb 14 2020 umeabot <umeabot> 1.6.0-0.1.20130710git41fddda.8.mga8
+ Revision: 1521974
- Mageia 8 Mass Rebuild

* Sat Jan 05 2019 daviddavid <daviddavid> 1.6.0-0.1.20130710git41fddda.7.mga7
+ Revision: 1349796
- build with maven
- re-add maven pom (rhbz#1022506)
- fix javadoc errors

* Wed Sep 19 2018 umeabot <umeabot> 1.6.0-0.1.20130710git41fddda.6.mga7
+ Revision: 1276947
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.6.0-0.1.20130710git41fddda.5.mga6
+ Revision: 944780
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-0.1.20130710git41fddda.4.mga5
+ Revision: 747328
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-0.1.20130710git41fddda.3.mga5
+ Revision: 690191
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.6.0-0.1.20130710git41fddda.2.mga4
+ Revision: 541247
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 1.6.0-0.1.20130710git41fddda.1.mga4
+ Revision: 495396
- New version

* Mon Feb 18 2013 dmorgan <dmorgan> 1.5.2-2.mga3
+ Revision: 399015
- Add provide to workaround java3d build ( will be removed after)

* Mon Feb 18 2013 dmorgan <dmorgan> 1.5.2-1.mga3
+ Revision: 399007
- imported package vecmath

